import request from '/@/utils/request';

export function unitApi() {
	return {
		getUnitByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/selectRiskUnitPage',
				method: 'post',
				data: params
			});
		},

		addUnit: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/insert/insertRiskUnit',
				method: 'post',
				data: params
			});
		},

		modUnit: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/update/updateRiskUnit',
				method: 'post',
				data: params
			});
		},

		deleteUnitById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/delete/deleteRiskUnit',
				method: 'post',
				data: params
			});
		},

		getAllUnit: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/basic/select/listRiskUnit',
				method: 'get',
			});
		},

	};
}
